class PluginPuppetBaselineUpdatePendingToTimestampOnBaselineDifferences < ActiveRecord::Migration
  def self.up
    add_column    :baseline_differences, :decided_at, :timestamp
    BaselineDifference.reset_column_information
    BaselineDifference.all(:conditions => 'pending IS NOT NULL').each do |bd|
      bd.decided_at = Time.now
      bd.save!
    end

    remove_column :baseline_differences, :pending
    BaselineDifference.reset_column_information
  end

  def self.down
    add_column    :baseline_differences, :pending, :boolean
    BaselineDifference.reset_column_information
    BaselineDifference.all(:conditions => 'decided_at IS NOT NULL').each do |bd|
      bd.pending = true
      bd.save!
    end

    remove_column :baseline_differences, :decided_at
    BaselineDifference.reset_column_information
  end
end
